Subject: bug#76307: [PATCH] Add 'project-forget-projects-under-dirs', limit dir selection to relevant dirs

From: Dmitry Gutov <[email-masked]>
Date: Tue, 18 Feb 2025 05:09:41 +0200

On 16/02/2025 15:32, Eshel Yaron via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
>> Not sure the common-prefix list is "flatter" than any other kind of list, but it is convenient when one wants to
>> forget projects on a remote host en masse, or in the root of a directory tree that has script-kiddie git repos
>> everywhere (one day, they'll all learn that monorepos are the way) and I want to forget everything I've seen
>> (for more than one reason!).
> I'm confused.  You can do those things in the current implementation,
> and in my proposal too.
> 
> Could you perhaps spell out the benefit of your suggested implementation
> for a concrete use case?  That might help to clear the confusion.

ISTM the proposal aims at allowing to easily choose a directory at a 
remote host, for example. The current read-directory-name UI makes that 
not too trivial.